pastescript (2.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Federico Ceratto ]
  * New upstream release
  * Add doc-base file, fix section
  * Remove unneded dirs file.
  * Update copyright.
  * Bump up dh version, update desc.
  * Disable templates dirs patches.
  * Remove unneded patch for supplementary groups.
  * Install completions, cleanup.
  * Switch to pybuild, build py3 and -doc pkgs.

  [ Thomas Goirand ]
  * Ran wrap-and-sort -bast.
  * Removed (build-)dependency versions (satisfied in Stable).
  * Add myself as uploader.
  * Standards-Version is now 4.1.2.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Dec 2017 12:28:59 +0000

pastescript (1.7.5-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Rebuild to drop python2.6 symlinks (closes: #707896)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 16 May 2013 21:07:47 +0200

pastescript (1.7.5-2) unstable; urgency=high

  [ Luk Claes ]
  * Fix CVE-2012-0878 by dropping supplementary groups (closes: #661061).

  [ Piotr Ożarowski ]
  * Add versioned dependency on python-pastedeploy (the first one that uses
    dh_python2)
  * Remove egg-info data in clean target to allow building twice in a row
    (closes: #671318)
  * Standards-Version bumped to 3.9.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 27 May 2012 21:57:31 +0200

pastescript (1.7.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added a versioned dependency on python-paste (>= 1.7.5.1-2~).

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Apr 2012 08:29:48 +0000

pastescript (1.7.5-1) unstable; urgency=low

  * New upstream release
  * Add python-cherrypy to Suggests (for egg:PasteScript#cherrypy)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Nov 2011 23:00:33 +0100

pastescript (1.7.4.2-1) unstable; urgency=low

  * New upstream release
    - installs "tests" module into global namespace, removed in Debian package
    - no longer provides paste.script.wsgiserver (python-cherrypy removed from
      Suggests)
    - 01_disable_ez_setup.patch removed, no longer needed
  * Add debian/paster.py script as upstream doesn't ship scripts dir anymore
  * Let dh_sphinxdoc handle documentation files, python-sphinx build
    dependency bumped to 1.0.7+dfsg-1

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Aug 2011 20:49:59 +0200

pastescript (1.7.3-7) unstable; urgency=low

  * Convert to dh_python2
  * Source format changed to 3.0 (quilt)
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 28 May 2011 17:41:00 +0200

pastescript (1.7.3-6) unstable; urgency=low

  * Revert the change from -4, setuptools is back in Depends (closes: 572609)
  * Move python-flup and python-cheetah from Recommends to Suggests
  * Standards-Version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 24 Apr 2010 17:05:37 +0200

pastescript (1.7.3-5) unstable; urgency=low

  * Add 03_try_to_find_templates_in_system_dir patch so that paster will try
    to find templates in /usr/local/share/paster_templates/ and
    /usr/share/paster_templates/ first.

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 30 Nov 2009 22:38:54 +0100

pastescript (1.7.3-4) unstable; urgency=low

  * python-setuptools replaced with python-pkg-resources dependency
    (closes: #546434)
  * debian/rules cleanups:
    - $py_setup_install_args aka --install-layout=deb replaced with
      --install-lib
    - python.mk (optional) include removed
  * Standards-Version bumped to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 25 Sep 2009 21:51:18 +0200

pastescript (1.7.3-3) unstable; urgency=low

  * Prepare for Python 2.6:
    + use py_libdir in debian/rules (LP: #359482)
  * python and python-all-dev build dependencies replaced with python-all
  * Standards-Version bumped to 3.8.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Apr 2009 01:23:26 +0200

pastescript (1.7.3-2) unstable; urgency=low

  * Change Debian packaging license to MIT (to match upstream)
  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 15 Feb 2009 21:29:30 +0100

pastescript (1.7.3-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
  * ignore exceptions in bash completion script

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 11 Nov 2008 10:47:58 +0100

pastescript (1.7.2-1) experimental; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 06 Nov 2008 18:48:42 +0100

pastescript (1.7-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
  * Update patches/02_rename_templates_dir patch and debian/rules to handle
    new directory name
  * Add lintian override for license.txt_tmpl (template detected as extra
    license file)
  * Build docs using Sphinx:
    + python-sphinx replaced python-docutils build dependency
    + new suggested package: libjs-jquery
  * Add bash completion for paster

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 30 Oct 2008 19:41:02 +0100

pastescript (1.6.3-1) unstable; urgency=low

  * New upstream release
  * python-paste and python-pastedeploy added to build dependencies
  * Don't feed rst2html with new subdirectories of docs directory
  * Standards-Version bumped to 3.8.0:
    + debian/README.source file added

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 14 Jun 2008 11:43:52 +0200

pastescript (1.6.2-4) unstable; urgency=low

  * Revert my last changes in paster script:
    + paster has to be a Python script or --reload will not work
      (closes: #482968)
    + don't depend on all supported Python versions, override lintian errors
      for now (until I'll find a better solution)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 27 May 2008 23:25:11 +0200

pastescript (1.6.2-3) unstable; urgency=low

  * Replace python-setuptools with python-pkg-resources in Depends
    (closes: #468714)
  * Remove paste-common dependency, python-support will provide all needed
    namespace
  * Move templates to /usr/share/paster_templates
    + patches/02_rename_templates_dir path updated
  * New debian/paster shell script will invoke paster after detecting desired
    Python version from file name
    + original paster scipt no longer installed
    + package depends only on default Python version again
      (unnecessary dependency introduced in previous upload)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 24 May 2008 20:05:12 +0200

pastescript (1.6.2-2) unstable; urgency=low

  * Provide /usr/bin/pasterX.Y scripts for all supported Python versions

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 29 Feb 2008 23:01:40 +0100

pastescript (1.6.2-1) unstable; urgency=low

  * New upstream release
  * 03_skip_empty_templates patch removed (no longer needed)
  * Strip the "-1" from setuptools' required version
  * Fix "Python" word capitalization in short description

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 27 Feb 2008 20:02:11 +0100

pastescript (1.6.1.1-1) unstable; urgency=low

  * New upstream release
  * Add 03_skip_empty_templates patch (fixes TurboGears' quickstart)
  * Add versioned dependency on python-paste and python-pastedeploy
    (paste-common is not enough, closes: 463958)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 04 Feb 2008 20:21:37 +0100

pastescript (1.6.1-1) unstable; urgency=low

  * New upstream release
  * 02_rename_templates_dir patch added, templates dir renamed to
    templates_dir in debian/rules (workaround for python-support's #459468)
    Closes: #459446

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 06 Jan 2008 20:02:19 +0100

pastescript (1.6-1) unstable; urgency=low

  * New upstream release
  * Switch to python-support. All paste packages will now depend on
    paste-common (>= 1.6-1) to make sure all use pysupport
  * Compress binary package with bzip2
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * Bump Standards-Version to 3.7.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Jan 2008 21:27:05 +0100

pastescript (1.3.6-2) unstable; urgency=low

  * find (see clean rule) works correctly in every build now (closes: #442699)
  * 01_setuptools_version patch replaced with 01_disable_ez_setup

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 17 Sep 2007 23:19:12 +0200

pastescript (1.3.6-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 04 Sep 2007 23:59:00 +0200

pastescript (1.3.5-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 26 Jun 2007 21:03:09 +0200

pastescript (1.3.4-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 30 Apr 2007 15:09:38 +0200

pastescript (1.3.3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 12 Apr 2007 20:14:59 +0200

pastescript (1.3.2-2) unstable; urgency=low

  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 Apr 2007 16:53:31 +0200

pastescript (1.3.2-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Etch freeze)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 03 Apr 2007 20:28:32 +0200

pastescript (1.3.1-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Etch freeze)
  * debian/copyright file updated
  * Changed my address to piotr@debian.org

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 01 Apr 2007 01:22:57 +0200

pastescript (1.3-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Etch freeze)
  * Use default Python version in paster's hashbang
  * python-cheetah moved from Depends: to Recommends: (see upstream changelog)
  * Added "python-cherrypy3 | python-cherrypy" to Suggests:

 -- Piotr Ozarowski <ozarow@gmail.com>  Wed,  7 Mar 2007 18:23:45 +0100

pastescript (1.1-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Etch freeze)
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu, 23 Nov 2006 14:44:46 +0100

pastescript (1.0-1) unstable; urgency=low

  * New upstream release
  * debian/rules cleaned:
    + dh_python removed, dh_pycentral will generate all data now
    + unneeded dh_installexamples, dh_strip and dh_shlibdeps calls removed
  * debian/control:
    + bumped debhelper and python-central required versions due to dh_python
      call removal
    + Fixed recommended python-flup version (closes: #389199)
    + Homepage updated
  * Removed hack for changing paster's shebang (python2.4 is now default)
  * Added patch to setup.py file which will force using currently installed
    setuptools version while building package
    + dpatch added to build dependencies

 -- Piotr Ozarowski <ozarow@gmail.com>  Mon, 23 Oct 2006 16:54:07 +0200

pastescript (0.9.8-1) unstable; urgency=low

  * New upstream release
  * Bumped python-central required version to 0.5 in order to satisfy lintian.
  * Added python-flup to Recommends
  * Test files are not installed as examples anymore

 -- Piotr Ozarowski <ozarow@gmail.com>  Tue,  5 Sep 2006 17:31:46 +0200

pastescript (0.9.7-1) unstable; urgency=low

  * New upstream release
  * Add debian/pycompat file
  * Add patch to downgrade required setuptools version

 -- Piotr Ozarowski <ozarow@gmail.com>  Sun, 13 Aug 2006 19:02:26 +0200

pastescript (0.9.6-1) unstable; urgency=low

  * New upstream release
  * Documentation changes:
    - Files are now generated from sources
    - Add link in python-paste's docs
    - Add python-docutils in build dependencies
    - doc/news.txt file is installed as changelog

 -- Piotr Ozarowski <ozarow@gmail.com>  Fri, 28 Jul 2006 00:52:22 +0200

pastescript (0.9-1) unstable; urgency=low

  * Initial release (closes: #366244)

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu, 15 Jun 2006 16:57:07 +0200

